Bug 10342 - Not setting QTDIR when upgrading or downgrading qt-devel.
Summary: Not setting QTDIR when upgrading or downgrading qt-devel.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-25 03:39 UTC by rdt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-25 03:39:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rdt 2000-03-25 03:39:04 UTC
If one upgrades or downgrades qt-devel, the value of QTDIR is not set
to the new location.  Even if the qt.csh script is sourced, there is
a test that exits the script if QTDIR is already defined, so that the
old (and no longer correct) value remains.  It is only by re-booting
that the value is correctly set.  You'll have to find a better way of
dealing with this if you insist on putting the qt stuff in a non-standard
place. How about an /etc/qt.conf?

Comment 1 Bernhard Rosenkraenzer 2000-06-16 10:41:18 UTC
Thanks, fixed.


Note You need to log in before you can comment on or make changes to this bug.